import { language_pl_pl } from "../languages/pl_pl";

export class dictionary {
    get dict() {
        return language_pl_pl;
    }

    get(name) {
        const splited = name.split(".");
        let dict = this.dict;
       
        for (let count in splited) {
            if (!(splited[count] in dict)) {
                return name;
            }

            dict = dict[splited[count]];
        }

        return dict;
    }
}